Cancel a billing agreement
curl --request POST \
--url https://mag3nt.com/api/billing/agreements/{id}/cancel \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"at_period_end": false
}
'import requests
url = "https://mag3nt.com/api/billing/agreements/{id}/cancel"
payload = { "at_period_end": False }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({at_period_end: false})
};
fetch('https://mag3nt.com/api/billing/agreements/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agreement": {
"id": "ba_9f8e7d6c...",
"merchant_wallet": "<string>",
"payer_wallet": "<string>",
"payer_card_id": "<string>",
"pay_link_code": "<string>",
"plan_ref": "<string>",
"description": "<string>",
"amount": 123,
"asset": "<string>",
"network": "<string>",
"period_days": 123,
"threshold_metric": "mag3nt_fee_balance",
"threshold_floor": 123,
"funding_spender": "<string>",
"next_charge_at": "2023-11-07T05:31:56Z",
"last_charge_at": "2023-11-07T05:31:56Z",
"charges_made": 123,
"total_charged": 123,
"failure_count": 123,
"cancel_at_period_end": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Card not found"
}{
"error": "Card not found"
}Billing
Cancel a billing agreement
POST
/
api
/
billing
/
agreements
/
{id}
/
cancel
Cancel a billing agreement
Authorizations
API key prefixed with 'Bearer sx_live_...'
Path Parameters
Body
application/json
Only applies to interval-trigger agreements.
Response
Cancelled
An AP2 open-mandate-backed recurring billing agreement. The open_mandate SD-JWT is never returned over the API.
Show child attributes
Show child attributes
⌘I